From a21e75da32c0016f1575ea29775565934a67660d Mon Sep 17 00:00:00 2001
From: "Sergey V. Lobanov" <sergey@lobanov.in>
Date: Sat, 5 Feb 2022 13:10:23 +0300
Subject: [PATCH] Add cpuid compatibility header to build on non-x86 hosts

Signed-off-by: Sergey V. Lobanov <sergey@lobanov.in>
---
 cpuid-compat/cpuid.h | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100644 cpuid-compat/cpuid.h

--- /dev/null
+++ b/cpuid-compat/cpuid.h
@@ -0,0 +1,17 @@
+// SPDX-License-Identifier: GPL-2.0-or-later
+/*
+ *  cpuid compatibility header to build iucode-tool on non-x86 hosts
+ *
+ *  Copyright (C) 2022       Sergey V. Lobanov <sergey@lobanov.in>
+ */
+
+#ifdef __APPLE__
+# include <limits.h>
+#endif
+
+static __inline int __get_cpuid (unsigned int leaf,
+              unsigned int *eax, unsigned int *ebx,
+              unsigned int *ecx, unsigned int *edx)
+{
+    return 0;
+}
